#!/bin/bash

#set minimal required path
export PATH=$PATH:$HOME/.local/bin

#load pyenv of 'nextcloud' user
export PYENV_ROOT="/home/nextcloud/.pyenv"
export PATH="$PYENV_ROOT/bin:$PATH"
if command -v pyenv 1>/dev/null 2>&1; then
  eval "$(pyenv init -)"
fi
eval "$(pyenv virtualenv-init -)"

#load env for the proj. 'exp-dist-nc'
pyenv shell exp-dist-nc

#change directory
cd /home/yunohost.app/syncthing/Sync/exp-dist-audiolog

#start to watch..
./run.sh
while inotifywait -e modify,move,delete,close_write -r ./data/ ; do
  ./run.sh
done
